﻿$packageArgs = @{
  PackageName         = "vault"
  Url                 = "https://releases.hashicorp.com/vault/$($version)/vault_$($version)_windows_386.zip"
  UnzipLocation       = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
  Url64               = "https://releases.hashicorp.com/vault/$($version)/vault_$($version)_windows_amd64.zip"
  Checksum            = '715d380ed16efdb59c840b1839f6e49f2e46f469ec70c4b23d2bbdef12c92555'
  ChecksumType        = 'sha256'
  Checksum64          = 'b01735e5a52e598d8a5949d077a3eb395d9ab7a51df88d68fc28eb9e169a7959'
  version             = '1.11.0'  
}

Install-ChocolateyZipPackage @packageArgs